SYNTH_DEF = {
    "256": {
        'modules': {
            'input': {'w_dim': 512, 'channels': 1024, 'size': [36, 36], 'sampling_rate': 16, 'bandwidth': 2},
            'L0_36_1024': {'w_dim': 512, 'is_torgb': False, 'is_critically_sampled': False, 'use_fp16': True, 'in_sampling_rate': 16, 'out_sampling_rate': 16, 'in_cutoff': 2, 'out_cutoff': 2, 'in_half_width': 6, 'out_half_width': 6, 'in_size': [36, 36], 'out_size': [36, 36], 'in_channels': 1024, 'out_channels': 1024, 'conv_kernel': 1, 'use_radial_filters': True},
            'L1_36_1024': {'w_dim': 512, 'is_torgb': False, 'is_critically_sampled': False, 'use_fp16': True, 'in_sampling_rate': 16, 'out_sampling_rate': 16, 'in_cutoff': 2, 'out_cutoff': 2.37841, 'in_half_width': 6, 'out_half_width': 5.62159, 'in_size': [36, 36], 'out_size': [36, 36], 'in_channels': 1024, 'out_channels': 1024, 'conv_kernel': 1, 'use_radial_filters': True},
            'L2_36_1024': {'w_dim': 512, 'is_torgb': False, 'is_critically_sampled': False, 'use_fp16': True, 'in_sampling_rate': 16, 'out_sampling_rate': 16, 'in_cutoff': 2.37841, 'out_cutoff': 2.82843, 'in_half_width': 5.62159, 'out_half_width': 5.17157, 'in_size': [36, 36], 'out_size': [36, 36], 'in_channels': 1024, 'out_channels': 1024, 'conv_kernel': 1, 'use_radial_filters': True},
            'L3_36_1024': {'w_dim': 512, 'is_torgb': False, 'is_critically_sampled': False, 'use_fp16': True, 'in_sampling_rate': 16, 'out_sampling_rate': 16, 'in_cutoff': 2.82843, 'out_cutoff': 3.36359, 'in_half_width': 5.17157, 'out_half_width': 4.63641, 'in_size': [36, 36], 'out_size': [36, 36], 'in_channels': 1024, 'out_channels': 1024, 'conv_kernel': 1, 'use_radial_filters': True},
            'L4_36_1024': {'w_dim': 512, 'is_torgb': False, 'is_critically_sampled': False, 'use_fp16': True, 'in_sampling_rate': 16, 'out_sampling_rate': 16, 'in_cutoff': 3.36359, 'out_cutoff': 4, 'in_half_width': 4.63641, 'out_half_width': 4, 'in_size': [36, 36], 'out_size': [36, 36], 'in_channels': 1024, 'out_channels': 1024, 'conv_kernel': 1, 'use_radial_filters': True},
            'L5_36_1024': {'w_dim': 512, 'is_torgb': False, 'is_critically_sampled': False, 'use_fp16': True, 'in_sampling_rate': 16, 'out_sampling_rate': 16, 'in_cutoff': 4, 'out_cutoff': 4.75683, 'in_half_width': 4, 'out_half_width': 3.24317, 'in_size': [36, 36], 'out_size': [36, 36], 'in_channels': 1024, 'out_channels': 1024, 'conv_kernel': 1, 'use_radial_filters': True},
            'L6_36_1024': {'w_dim': 512, 'is_torgb': False, 'is_critically_sampled': False, 'use_fp16': True, 'in_sampling_rate': 16, 'out_sampling_rate': 16, 'in_cutoff': 4.75683, 'out_cutoff': 5.65685, 'in_half_width': 3.24317, 'out_half_width': 2.34315, 'in_size': [36, 36], 'out_size': [36, 36], 'in_channels': 1024, 'out_channels': 1024, 'conv_kernel': 1, 'use_radial_filters': True},
            'L7_36_1024': {'w_dim': 512, 'is_torgb': False, 'is_critically_sampled': False, 'use_fp16': True, 'in_sampling_rate': 16, 'out_sampling_rate': 16, 'in_cutoff': 5.65685, 'out_cutoff': 6.72717, 'in_half_width': 2.34315, 'out_half_width': 2.14938, 'in_size': [36, 36], 'out_size': [36, 36], 'in_channels': 1024, 'out_channels': 1024, 'conv_kernel': 1, 'use_radial_filters': True},
            'L9_36_1024': {'w_dim': 512, 'is_torgb': False, 'is_critically_sampled': False, 'use_fp16': True, 'in_sampling_rate': 16, 'out_sampling_rate': 16, 'in_cutoff': 6.72717, 'out_cutoff': 6.72717, 'in_half_width': 2.14938, 'out_half_width': 2.14938, 'in_size': [36, 36], 'out_size': [36, 36], 'in_channels': 1024, 'out_channels': 1024, 'conv_kernel': 3},
            'L10_52_1024': {'w_dim': 512, 'is_torgb': False, 'is_critically_sampled': False, 'use_fp16': True, 'in_sampling_rate': 16, 'out_sampling_rate': 32, 'in_cutoff': 6.72717, 'out_cutoff': 8, 'in_half_width': 2.14938, 'out_half_width': 8, 'in_size': [36, 36], 'out_size': [52, 52], 'in_channels': 1024, 'out_channels': 1024, 'conv_kernel': 3},
            'L11_52_1024': {'w_dim': 512, 'is_torgb': False, 'is_critically_sampled': False, 'use_fp16': True, 'in_sampling_rate': 32, 'out_sampling_rate': 32, 'in_cutoff': 8, 'out_cutoff': 9.51366, 'in_half_width': 8, 'out_half_width': 6.48634, 'in_size': [52, 52], 'out_size': [52, 52], 'in_channels': 1024, 'out_channels': 1024, 'conv_kernel': 3},
            'L12_52_1024': {'w_dim': 512, 'is_torgb': False, 'is_critically_sampled': False, 'use_fp16': True, 'in_sampling_rate': 32, 'out_sampling_rate': 32, 'in_cutoff': 9.51366, 'out_cutoff': 11.3137, 'in_half_width': 6.48634, 'out_half_width': 4.68629, 'in_size': [52, 52], 'out_size': [52, 52], 'in_channels': 1024, 'out_channels': 1024, 'conv_kernel': 3},
            'L13_52_1024': {'w_dim': 512, 'is_torgb': False, 'is_critically_sampled': False, 'use_fp16': True, 'in_sampling_rate': 32, 'out_sampling_rate': 32, 'in_cutoff': 11.3137, 'out_cutoff': 13.4543, 'in_half_width': 4.68629, 'out_half_width': 3.34112, 'in_size': [52, 52], 'out_size': [52, 52], 'in_channels': 1024, 'out_channels': 1024, 'conv_kernel': 3},
            'L14_52_1024': {'w_dim': 512, 'is_torgb': False, 'is_critically_sampled': False, 'use_fp16': True, 'in_sampling_rate': 32, 'out_sampling_rate': 32, 'in_cutoff': 13.4543, 'out_cutoff': 13.4543, 'in_half_width': 3.34112, 'out_half_width': 3.34112, 'in_size': [52, 52], 'out_size': [52, 52], 'in_channels': 1024, 'out_channels': 1024, 'conv_kernel': 3},
            'L15_84_1024': {'w_dim': 512, 'is_torgb': False, 'is_critically_sampled': False, 'use_fp16': True, 'in_sampling_rate': 32, 'out_sampling_rate': 64, 'in_cutoff': 13.4543, 'out_cutoff': 16, 'in_half_width': 3.34112, 'out_half_width': 16, 'in_size': [52, 52], 'out_size': [84, 84], 'in_channels': 1024, 'out_channels': 1024, 'conv_kernel': 3},
            'L16_84_1024': {'w_dim': 512, 'is_torgb': False, 'is_critically_sampled': False, 'use_fp16': True, 'in_sampling_rate': 64, 'out_sampling_rate': 64, 'in_cutoff': 16, 'out_cutoff': 19.0273, 'in_half_width': 16, 'out_half_width': 12.9727, 'in_size': [84, 84], 'out_size': [84, 84], 'in_channels': 1024, 'out_channels': 1024, 'conv_kernel': 3},
            'L17_84_1024': {'w_dim': 512, 'is_torgb': False, 'is_critically_sampled': False, 'use_fp16': True, 'in_sampling_rate': 64, 'out_sampling_rate': 64, 'in_cutoff': 19.0273, 'out_cutoff': 22.6274, 'in_half_width': 12.9727, 'out_half_width': 9.37258, 'in_size': [84, 84], 'out_size': [84, 84], 'in_channels': 1024, 'out_channels': 1024, 'conv_kernel': 3},
            'L18_84_1024': {'w_dim': 512, 'is_torgb': False, 'is_critically_sampled': False, 'use_fp16': True, 'in_sampling_rate': 64, 'out_sampling_rate': 64, 'in_cutoff': 22.6274, 'out_cutoff': 26.9087, 'in_half_width': 9.37258, 'out_half_width': 6.31177, 'in_size': [84, 84], 'out_size': [84, 84], 'in_channels': 1024, 'out_channels': 1024, 'conv_kernel': 3},
            'L19_84_1024': {'w_dim': 512, 'is_torgb': False, 'is_critically_sampled': False, 'use_fp16': True, 'in_sampling_rate': 64, 'out_sampling_rate': 64, 'in_cutoff': 26.9087, 'out_cutoff': 26.9087, 'in_half_width': 6.31177, 'out_half_width': 6.31177, 'in_size': [84, 84], 'out_size': [84, 84], 'in_channels': 1024, 'out_channels': 1024, 'conv_kernel': 3},
            'L20_148_1024': {'w_dim': 512, 'is_torgb': False, 'is_critically_sampled': False, 'use_fp16': True, 'in_sampling_rate': 64, 'out_sampling_rate': 128, 'in_cutoff': 26.9087, 'out_cutoff': 32, 'in_half_width': 6.31177, 'out_half_width': 32, 'in_size': [84, 84], 'out_size': [148, 148], 'in_channels': 1024, 'out_channels': 1024, 'conv_kernel': 3},
            'L21_148_861': {'w_dim': 512, 'is_torgb': False, 'is_critically_sampled': False, 'use_fp16': True, 'in_sampling_rate': 128, 'out_sampling_rate': 128, 'in_cutoff': 32, 'out_cutoff': 38.0546, 'in_half_width': 32, 'out_half_width': 25.9454, 'in_size': [148, 148], 'out_size': [148, 148], 'in_channels': 1024, 'out_channels': 861, 'conv_kernel': 3},
            'L22_148_724': {'w_dim': 512, 'is_torgb': False, 'is_critically_sampled': False, 'use_fp16': True, 'in_sampling_rate': 128, 'out_sampling_rate': 128, 'in_cutoff': 38.0546, 'out_cutoff': 45.2548, 'in_half_width': 25.9454, 'out_half_width': 18.7452, 'in_size': [148, 148], 'out_size': [148, 148], 'in_channels': 861, 'out_channels': 724, 'conv_kernel': 3},
            'L23_148_609': {'w_dim': 512, 'is_torgb': False, 'is_critically_sampled': False, 'use_fp16': True, 'in_sampling_rate': 128, 'out_sampling_rate': 128, 'in_cutoff': 45.2548, 'out_cutoff': 53.8174, 'in_half_width': 18.7452, 'out_half_width': 12.4763, 'in_size': [148, 148], 'out_size': [148, 148], 'in_channels': 724, 'out_channels': 609, 'conv_kernel': 3},
            'L24_148_609': {'w_dim': 512, 'is_torgb': False, 'is_critically_sampled': False, 'use_fp16': True, 'in_sampling_rate': 128, 'out_sampling_rate': 128, 'in_cutoff': 53.8174, 'out_cutoff': 53.8174, 'in_half_width': 12.4763, 'out_half_width': 12.4763, 'in_size': [148, 148], 'out_size': [148, 148], 'in_channels': 609, 'out_channels': 609, 'conv_kernel': 3},
            'L25_276_512': {'w_dim': 512, 'is_torgb': False, 'is_critically_sampled': False, 'use_fp16': True, 'in_sampling_rate': 128, 'out_sampling_rate': 256, 'in_cutoff': 53.8174, 'out_cutoff': 64, 'in_half_width': 12.4763, 'out_half_width': 64, 'in_size': [148, 148], 'out_size': [276, 276], 'in_channels': 609, 'out_channels': 512, 'conv_kernel': 3},
            'L26_276_431': {'w_dim': 512, 'is_torgb': False, 'is_critically_sampled': False, 'use_fp16': True, 'in_sampling_rate': 256, 'out_sampling_rate': 256, 'in_cutoff': 64, 'out_cutoff': 76.1093, 'in_half_width': 64, 'out_half_width': 51.8907, 'in_size': [276, 276], 'out_size': [276, 276], 'in_channels': 512, 'out_channels': 431, 'conv_kernel': 3},
            'L27_276_362': {'w_dim': 512, 'is_torgb': False, 'is_critically_sampled': False, 'use_fp16': True, 'in_sampling_rate': 256, 'out_sampling_rate': 256, 'in_cutoff': 76.1093, 'out_cutoff': 90.5097, 'in_half_width': 51.8907, 'out_half_width': 37.4903, 'in_size': [276, 276], 'out_size': [276, 276], 'in_channels': 431, 'out_channels': 362, 'conv_kernel': 3},
            'L28_276_304': {'w_dim': 512, 'is_torgb': False, 'is_critically_sampled': False, 'use_fp16': True, 'in_sampling_rate': 256, 'out_sampling_rate': 256, 'in_cutoff': 90.5097, 'out_cutoff': 107.635, 'in_half_width': 37.4903, 'out_half_width': 24.8939, 'in_size': [276, 276], 'out_size': [276, 276], 'in_channels': 362, 'out_channels': 304, 'conv_kernel': 3},
            'L29_276_256': {'w_dim': 512, 'is_torgb': False, 'is_critically_sampled': True, 'use_fp16': True, 'in_sampling_rate': 256, 'out_sampling_rate': 256, 'in_cutoff': 107.635, 'out_cutoff': 128, 'in_half_width': 24.8939, 'out_half_width': 29.5865, 'in_size': [276, 276], 'out_size': [276, 276], 'in_channels': 304, 'out_channels': 256, 'conv_kernel': 3},
            'L30_256_256': {'w_dim': 512, 'is_torgb': False, 'is_critically_sampled': True, 'use_fp16': True, 'in_sampling_rate': 256, 'out_sampling_rate': 256, 'in_cutoff': 128, 'out_cutoff': 128, 'in_half_width': 29.5865, 'out_half_width': 29.5865, 'in_size': [276, 276], 'out_size': [256, 256], 'in_channels': 256, 'out_channels': 256, 'conv_kernel': 3},
            'L31_256_3': {'w_dim': 512, 'is_torgb': True, 'is_critically_sampled': True, 'use_fp16': True, 'in_sampling_rate': 256, 'out_sampling_rate': 256, 'in_cutoff': 128, 'out_cutoff': 128, 'in_half_width': 29.5865, 'out_half_width': 29.5865, 'in_size': [256, 256], 'out_size': [256, 256], 'in_channels': 256, 'out_channels': 3, 'conv_kernel': 1},
        },
        'w_dim': 512, 'num_ws': 32, 'img_resolution': 256, 'img_channels': 3, 'num_layers': 31, 'num_critical': 2, 'margin_size': 10, 'output_scale': 0.25, 'num_fp16_res': 4, 'channel_base': 65536, 'last_stopband_rel': 1.2311444133449163, 'first_stopband': 4.2870938501451725, 'first_cutoff': 2, 'channel_max': 1024, 'sampling_rates': [16., 16., 16., 16., 16., 16., 16., 16., 16., 16., 16.], 'layer_names': ['L0_36_1024', 'L1_36_1024', 'L2_36_1024', 'L3_36_1024', 'L4_36_1024', 'L5_36_1024', 'L6_36_1024', 'L7_36_1024', 'L9_36_1024', 'L10_52_1024', 'L11_52_1024', 'L12_52_1024', 'L13_52_1024', 'L14_52_1024', 'L15_84_1024', 'L16_84_1024', 'L17_84_1024', 'L18_84_1024', 'L19_84_1024', 'L20_148_1024', 'L21_148_861', 'L22_148_724', 'L23_148_609', 'L24_148_609', 'L25_276_512', 'L26_276_431', 'L27_276_362', 'L28_276_304', 'L29_276_256', 'L30_256_256', 'L31_256_3'], 'magnitude_ema_beta': 0.9314821318134288, 'conv_kernel': 1, 'use_radial_filters': True, 'num_layers': 10
    }
}
